Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class Gradient

[frames] | no frames]

# Class Gradient

source code

                              object --+
                                       |
    numeric.integrators.AbstractGradient --+
                                           |
                                          Gradient

Nested Classes
Inherited from `numeric.integrators.AbstractGradient`: `__metaclass__`

Instance Methods

__init__(self, gradient, protocol, tau) x.__init__(...) initializes x; see help(type(x)) for signature | source code

numpy array

evaluate(self, q, t) Evaluates the gradient at position q and time t. | source code

Inherited from `numeric.integrators.AbstractGradient`: `__call__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, gradient, protocol, tau)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### evaluate(self, q, t)

source code

Evaluates the gradient at position q and time t.

Parameters:
  - `q` - Position array
  - `t` - Time
Returns: numpy array
Overrides: numeric.integrators.AbstractGradient.evaluate
  (inherited documentation)